* {
  margin: 0px;
  padding: 0px;
  border: 0;
  outline: 0;
  text-decoration: none;
  list-style: none;
  box-sizing: border-box;
}

:root {
  --background-primary-color: #16162a;
  --backgrouind-secendory-color: #0f0f1a;
  --primary-color: #a78bfa;
  --text-light: #f3f4f6;
  --text-gray: #9ca3af;
  --border-radius: 10px;
  --primary-dark: #8b5cf6;

  --container-witdh-lg: 80%;
  --container-witdh-md: 90%;
  --container-witdh-sm: 94%;

  --bg-nav: #16161f;

  --shadow-md: 1px solid rgba(255, 255, 255, 0.1);
  --shadow-blue: 1px solid #3b82f6;

  --border-grey: 1px solid rgba(156, 163, 175, 0.25);
  --transition: all 400ms ease;

  --background-gradient: (90deg, #a78bfa 0%, #77a5f8 100%);
}
body {
  font-family: "Poppins", sans-serif;
  line-height: 1.7;
  background-color: var(--background-primary-color);
  color: var(--text-light);
  padding-top: 5rem;
}

.container {
  width: var(--container-witdh-lg);
  margin: 0 auto;
}
html {
  scroll-behavior: smooth;
}
section {
  padding: 6rem 0;
}
section h2 {
  text-align: center;
  margin-bottom: 4rem;
}

h1,
h2,
h3,
h4,
h5 {
  line-height: 1.2;
}

h1 {
  font-size: 2.4rem;
}
h2 {
  font-size: 1.9rem;
}

h3 {
  font-size: 1.6rem;
}

h4 {
  font-size: 1.3rem;
}

a {
  color: var(--text-light);
}

img {
  width: 90%;
  display: block;
  object-fit: cover;
}
#logo {
  background: linear-gradient(90deg, #a78bfa 0%, #77a5f8 100%);
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.btn {
  display: inline-block;
  background: var(--text-light);
  color: black;
  padding: 1rem 2rem;
  border: 1px solid transparent;
  font-weight: 500;
  transition: var(--transaction);
}

nav {
  background-color: transparent;
  width: 100vw;
  height: 5rem;
  position: fixed; /* see navbar when scorrl */
  top: 0;
  z-index: 11;
}

.window-scroll {
  background-color: var(--backgrouind-secendory-color);
  border-bottom: var(--border-grey);
}

.nav__container {
  height: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

nav button {
  display: none;
}

.nav__menu {
  display: flex;
  gap: 4rem;
}

.nav__menu a {
  transition: var(--transition);
}

.nav__menu a:hover {
  color: var(--primary-dark);
}

.header {
  position: relative;
  height: 70vh;
  margin-bottom: 5rem;
  overflow: hidden;
}

.header__container {
  display: grid;
  grid-template-columns: 1fr 1fr;
  align-items: center;
  gap: 5rem;
  height: 100%;
}

.header__left p {
  margin: 1rem 0 2.4rem;
}
#simple {
  background: linear-gradient(90deg, #a78bfa 0%, #77a5f8 100%);
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}
#organized {
  background: linear-gradient(90deg, #a78bfa 0%, #77a5f8 100%);
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.btn {
  background: var(--primary-color);
  color: #000;
  border: none;
  border-radius: var(--border-radius);
  padding: 15px 20px;
  font-size: 1rem;
  font-weight: 600;
  cursor: pointer;
  transition: background-color 0.3s;
  flex: 1;
  max-width: 250px;
  width: 100%;
  text-align: center;
}
.btn:hover {
  background-color: var(--primary-dark);
  transform: translateY(-3px);
}

.btn-container {
  display: flex;
  gap: 50px;
}
.highlight-word {
  background: linear-gradient(#a78bfa 0%, #77a5f8 100%);
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}
.categories {
  background-color: var(--backgrouind-secendory-color);
  padding-top: 3rem;
  border-top: 1px solid rgba(156, 163, 175, 0.25);
  border-bottom: 1px solid rgba(156, 163, 175, 0.25);
  padding-bottom: 1.5rem;
}

.categories__left {
  text-align: center;
  padding-bottom: 2rem;
  margin-bottom: 2rem;
}

.categories__right {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 1.2rem;
}

.categories h3 {
  padding-bottom: 2rem;
}

.category {
  background-color: var(--background-primary-color);
  padding: 2rem;
  border-radius: 2rem;
  transition: all 0.3s ease;
  border: 1px solid rgba(156, 163, 175, 0.25);
}

.category:hover {
  border: 1px solid #3b82f6;
  box-shadow:
    0 0 8px rgba(59, 130, 246, 0.4),
    0 0 16px rgba(59, 130, 246, 0.2);
  cursor: pointer;
  transform: translateY(-3px);
}

.category__icon {
  background-color: var(--primary-color);
  padding: 0.4rem 0.7rem;
  border-radius: 1rem;
  font-size: 1.5rem;
  justify-content: center;
}

.category h4 {
  margin: 2rem 0 1rem;
}

.category p {
  font-size: 1rem;
  color: var(--text-gray);
}

.category:nth-child(2) .category__icon {
  background-color: green;
}

.category:nth-child(3) .category__icon {
  background-color: orange;
}

.category:nth-child(4) .category__icon {
  background-color: blue;
}

.category:nth-child(5) .category__icon {
  background-color: cyan;
}

.testimonial {
  min-height: 80vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  overflow: visible;
  padding-top: 1rem;
  padding-bottom: 2rem;
}
.testimonial__card img {
  width: 120px;
  margin: 0 auto;
}
.description {
  margin-top: 0rem;
  padding-top: 0;
  text-align: center;
}
.description h1 {
  font-size: 3rem;
  background: linear-gradient(#a78bfa 0%, #77a5f8 100%);
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  padding-bottom: 1.5rem;
}
.title-description {
  margin-bottom: 2rem;
}

.testimonial__swiper {
  padding-bottom: 7rem;
}

.testimonial__card {
  width: 240px;
  background-color: var(--primary-dark);
  padding: 1.2rem 1rem 1.5rem;
  border-radius: 1.2rem;
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
  height: auto;
  padding-top: 0.5rem;
  justify-content: flex-start;
  min-height: 320px;
}
.testimonial__top {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.testimonial__img {
  width: 50%;
  border-radius: 50%;
  border: 2px solid #3b82f6;
  box-shadow:
    0 0 8px rgba(59, 130, 246, 0.4),
    0 0 16px rgba(59, 130, 246, 0.2);
  margin: 0 auto 0.5rem;
}
.testimonial__name {
  margin-bottom: 1rem;
  margin-top: 1rem;
}

.testimonial__rating {
  display: flex;
  justify-content: center;
  align-items: center;
  column-gap: 1rem;
  margin-bottom: 0.7rem;
}
.testimonial__stars {
  display: flex;
  align-items: center;
  column-gap: 0.25rem;
  position: relative;
}

.testimonial__stars i {
  font-size: 1rem;
  color: orange;
}
.testimonial__number {
  font-size: 1.2rem;
  color: orange;
}
.testimonial__description {
  padding-top: 1rem;
}
.swiper {
  width: 90%;
  padding: 2rem 0 4rem; /* malo više prostora dole */
  position: relative;
}

.swiper-slide {
  display: flex;
  justify-content: center;
}
.swiper-button-next,
.swiper-button-prev {
  width: 36px;
  height: 36px;
  background-color: var(--primary-color);
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  color: white;
  top: auto;
  bottom: 0;
}
.swiper-button-prev {
  left: 40%;
}

.swiper-button-next {
  right: 40%;
}
.swiper-button-next::after,
.swiper-button-prev::after {
  font-size: 14px;
  font-weight: bold;
  color: white;
}

.swiper-pagination {
  bottom: 40px !important; /* iznad strelica */
}
.swiper-pagination-bullet {
  background: var(--primary-color);
  opacity: 1;
}

.swiper-pagination-bullet-active {
  background: orange;
}
.pricing-list {
  display: none;
}

.price-container {
  width: 100%;
  max-width: 1200px;
  margin: 0 auto;
}

.pricing-cards {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  gap: 30px;
  margin-bottom: 60px;
}
.pricing-desktop {
  background-color: var(--backgrouind-secendory-color);
  padding-bottom: 1rem;
  padding-top: 0;
  border-top: 1px solid rgba(156, 163, 175, 0.25);
  border-bottom: 1px solid rgba(156, 163, 175, 0.25);
}

.card {
  background-color: var(--background-primary-color);
  border-radius: 20px;
  overflow: hidden;
  border: 1px solid rgba(156, 163, 175, 0.25);
  position: relative;
  box-shadow: var(--shadow-md);
  transition: all 0.3s ease;
  height: 100%;
}

.card:hover {
  transform: translateY(-10px);
}

.card-header {
  padding: 30px;
  text-align: center;
  border-bottom: 1px solid rgba(255, 255, 255, 0.1);
}

.plan-icon {
  width: 70px;
  height: 70px;
  background: linear-gradient(
    135deg,
    rgba(74, 222, 128, 0.2),
    rgba(74, 222, 128, 0.05)
  );
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 0 auto 20px;
}

.plan-icon i {
  font-size: 1.8rem;
  color: var(--primary-color);
}
.price {
  margin-bottom: 15px;
}
.price-info {
  text-align: center;
  padding: 3rem;
}
.price-info h1 {
  font-size: 4rem;
  padding-bottom: 1rem;
  background: linear-gradient(90deg, #a78bfa 0%, #77a5f8 100%);
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.currency {
  font-size: 2rem;
  margin-right: 2px;
  background: linear-gradient(90deg, #a78bfa 0%, #77a5f8 100%);
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  vertical-align: top;
}

.amount {
  font-size: 5rem;
  font-weight: 700;
  line-height: 1;
  background: linear-gradient(90deg, #a78bfa 0%, #77a5f8 100%);
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}
#plan-status {
  padding-bottom: 2rem;
}

.card-body {
  padding: 30px;
  flex-grow: 1;
}

.features {
  list-style: none;
}

.features li {
  margin-bottom: 15px;
  display: flex;
  align-items: center;
}

.features li i {
  margin-right: 10px;
  font-size: 0.9rem;
}

.features li i.fa-check {
  color: var(--primary-color);
}

.features li i.fa-times {
  color: #ef4444;
}

.features li.disabled {
  opacity: 0.7;
  color: var(--text-gray);
}

.popular {
  transform: scale(1.05);
  border: 1px solid #3b82f6;
  z-index: 2;
}

.popular:hover {
  transform: translateY(-10px) scale(1.05);
}

.popular-badge {
  position: absolute;
  top: 15px;
  right: 15px;
  background-color: var(--primary-color);
  color: #000;
  font-size: 0.8rem;
  font-weight: 600;
  padding: 5px 12px;
  border-radius: 20px;
  z-index: 3;
}
.pricing-section {
  padding-top: 0px;
  padding-bottom: 1rem;
}
.stats-container {
  max-width: 1200px;
  margin: 0 auto;
}
.show-stats {
  background-color: var(--b);
  padding: 0px;
}
.stats-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: 24px;
}
.stat-card {
  border: none;
  padding: 24px;
  display: flex;
  align-items: center;
  gap: 20px;
  transition: all 0.2s ease;
}
.stat-value {
  font-size: 2rem;
  font-weight: bold;
  padding: 0rem;
}

.stat-icon {
  width: 64px;
  height: 64px;
  display: flex;
  align-items: center;
  justify-content: center;
  background: linear-gradient(45deg, #77a5f8 0%, #a78bfa 100%);
  border-radius: 12px;
  flex-shrink: 0;
}

.stat-card:nth-child(1) .stat-icon {
  background: orange;
}
.stat-card:nth-child(2) .stat-icon {
  background: green;
}
.stat-card:nth-child(3) .stat-icon {
  background: blue;
}
.stat-card:nth-child(4) .stat-icon {
  background: red;
}

.stat-icon i {
  font-size: 1.5rem;
  color: var(--text-light);
}

.stat-content {
  flex: 1;
}
/* tablets media querier ----------------------------------------------------- */

@media screen and (max-width: 1024px) {
  .container {
    width: var(--container-witdh-md);
  }

  h1 {
    font-size: 1.7rem;
  }

  h2 {
    font-size: 1.4rem;
  }
  h3 {
    font-size: 1.2rem;
  }
  h4 {
    font-size: 1.2rem;
  }
  img {
    width: 100%;
    max-width: 800px;
  }

  nav button {
    display: inline-block;
    background: transparent;
    font-size: 1.8rem;
    color: white;
    cursor: pointer;
  }
  .header__container {
    grid-template-columns: 1fr; /* PRELAZI U COLUMN */
    text-align: center;
    gap: 2rem;
    padding: 2rem;
  }

  .header__right-image img {
    width: 90%;
    max-width: none;
  }
  .header__right {
    margin: 0;
    padding: 0;
  }

  .btn {
    padding: 10px 10px;
    margin-bottom: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 0.8rem;
  }

  nav button#close-menu-btn {
    display: none;
  }
  .nav__menu {
    position: fixed;
    top: 5rem;
    right: 5%;
    height: fit-content;
    width: 18rem;
    flex-direction: column;
    gap: 0px;
    display: none;
  }

  .nav__menu li {
    width: 100%;
    height: 5.8rem;
    animation: animateNavItems 400ms linear forwards;
    transform-origin: top right;
    opacity: 0;
  }
  .nav__menu li:nth-child(2) {
    animation-delay: 200ms;
  }
  .nav__menu li:nth-child(3) {
    animation-delay: 400ms;
  }
  .nav__menu li:nth-child(4) {
    animation-delay: 600ms;
  }

  @keyframes animateNavItems {
    from {
      transform: rotateZ(-90deg) rotateX(90deg) scale(0.1);
    }
    to {
      transform: rotateZ(0) rotateX(0) scale(1);
      opacity: 1;
    }
  }

  .nav__menu li a {
    background-color: var(--primary-dark);
    box-shadow: -4rem 6rem 10rem rgba(0, 0, 0, 0.6);
    width: 100%;
    height: 100%;
    display: grid;
    place-items: center;
  }
  .nav__menu li a:hover {
    background-color: var(--primary-dark);
    color: var(--text-light);
  }
  .btn-container {
    display: flex;
    justify-content: center; /* centriranje horizontalno */
    align-items: center;
    gap: 50px;
  }
  .pricing-section {
    padding-bottom: 0px;
  }
  .pricing-desktop {
    display: none;
  }
  .pricing-list {
    background-color: var(--backgrouind-secendory-color);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border-top: 1px solid rgba(156, 163, 175, 0.25);
    padding: 0 2rem 2rem;
  }

  .price-info {
    text-align: center;
    padding: 2rem;
  }
  .price-info h1 {
    font-size: 2.7rem;
    padding-bottom: 1rem;
    background: linear-gradient(#a78bfa 0%, #77a5f8 100%);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
  }
  .price-info p {
    font-size: 1rem;
  }

  .wrapper {
    width: 335px;
    background: var(--background-primary-color);
    border-radius: 16px;
    padding: 30px;
    border: 1px solid rgba(156, 163, 175, 0.25);
    box-shadow: 10px 10px 15px rgba(0, 0, 0, 0.05);
  }
  .wrapper header {
    height: 55px;
    display: flex;
    align-items: center;
    border: 1px solid #ccc;
    border-radius: 30px;
    position: relative;
    overflow: hidden;
  }
  header label {
    height: 80%;
    z-index: 2;
    width: 100%;
    display: flex;
    cursor: pointer;
    font-size: 16px;
    position: relative;
    align-items: center;
    justify-content: center;
    transition: color 0.3s ease;
  }
  #tab-1:checked ~ header .tab-1,
  #tab-2:checked ~ header .tab-2,
  #tab-3:checked ~ header .tab-3 {
    color: #fff;
  }
  header label:nth-child(2) {
    width: 35%;
  }

  header .slider {
    position: absolute;
    height: 85%;
    border-radius: inherit;
    background: linear-gradient(145deg, #a78bfa 0%, #77a5f8 100%);
    transition: all 0.3s ease;
  }
  #tab-1:checked ~ header .slider {
    left: 0%;
    width: 85px;
    transform: translateX(5%);
  }
  #tab-2:checked ~ header .slider {
    left: 50%;
    width: 90px;
    transform: translateX(-50%);
  }
  #tab-3:checked ~ header .slider {
    left: 100%;
    width: 90px;
    transform: translateX(-105%);
  }
  .wrapper input[type="radio"] {
    display: none;
  }
  .card-area {
    overflow: hidden;
  }
  .card-area .cards {
    display: flex;
    width: 300%;
  }
  .cards .row {
    width: 33.4%;
  }
  .cards .row-1 {
    transition: all 0.3s ease;
  }
  #tab-1:checked ~ .card-area .cards .row-1 {
    margin-left: 0%;
  }
  #tab-2:checked ~ .card-area .cards .row-1 {
    margin-left: -33.4%;
  }
  #tab-3:checked ~ .card-area .cards .row-1 {
    margin-left: -66.8%;
  }
  .row .price-details {
    color: var(--primary-color);
    margin: 20px 0;
    text-align: center;
    padding-bottom: 1px;
    border-bottom: 1px solid rgba(255, 255, 255, 0.1);
  }

  .price-details .price {
    font-size: 80px;
    font-weight: 600;
    position: relative;
    font-family: "Noto Sans", sans-serif;
    background: linear-gradient(#a78bfa 0%, #77a5f8 100%);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
  }
  .price-details .price::before,
  .price-details .price::after {
    position: absolute;
    font-weight: 400;
    font-family: "Poppins", sans-serif;
  }
  .price-details .price::before {
    content: "$";
    left: -13px;
    top: 17px;
    font-size: 20px;
    background: linear-gradient(#a78bfa 0%, #77a5f8 100%);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
  }

  .price-details p {
    font-size: 18px;
    margin-top: 5px;
  }
  .row .features li {
    display: flex;
    font-size: 15px;
    list-style: none;
    margin-bottom: 10px;
    align-items: center;
  }
  .features li i {
    background: linear-gradient(#a78bfa 0%, #77a5f8 100%);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
  }
  .features li span {
    margin-left: 10px;
  }
  .wrapper button {
    width: 100%;
    border-radius: 25px;
    border: none;
    outline: none;
    height: 50px;
    font-size: 18px;
    color: #fff;
    cursor: pointer;
    margin-top: 20px;
    background: linear-gradient(145deg, #a78bfa 0%, #77a5f8 100%);
    transition: transform 0.3s ease;
  }
  .wrapper button:hover {
    transform: scale(0.98);
  }
}

@media screen and (max-width: 600px) {
  h2 {
    font-size: 1.3rem;
  }

  .nav__menu {
    right: 3%;
  }
  .header {
    height: 100vh;
  }
  .header__container {
    text-align: center;
    margin-top: 0;
    width: 100%;
  }

  .header__left p {
    margin-bottom: 1.3rem;
  }
  .categories__right {
    display: grid;
    grid-template-columns: repeat(2, 1fr); /* 2 kolone */
    gap: 1rem;
  }
  .categories__right > * {
    /* Smes i da se smanjis ispod svoje prirodne sirine*/
    min-width: 0;
  }
  .category {
    padding: 1rem;
    border-radius: 1rem;
  }
  .category h4 {
    font-size: 0.85rem;
  }
  .category p {
    font-size: 0.7rem;
  }
  .category:nth-child(6) h4 {
    font-size: 0.8rem;
  }
  .category__icon {
    display: inline-block;
    margin-top: 4px;
  }
  .swiper {
    width: 75%;
    padding-top: 0;
    padding-bottom: 4rem;
  }
  .swiper-button-prev {
    left: 30%;
  }

  .swiper-button-next {
    right: 30%;
  }
  .testimonial__description {
    font-size: 0.85rem;
  }
  .description h1 {
    font-size: 2.5rem;
  }

  .stats-grid {
    grid-template-columns: repeat(auto-fit, minmax(1fr, 1fr));
    padding: 0px;
    gap: 1rem;
  }

  .stat-value {
    font-size: 2rem;
  }
}
